<%@ taglib prefix="bb" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<jsp:useBean id="burgers" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
<jsp:useBean id="chicken" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
<jsp:useBean id="kids" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
<jsp:useBean id="sides" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
<jsp:useBean id="drinks" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
<jsp:useBean id="desserts" scope="application"
             type="java.util.ArrayList<buckburgers.MenuItem>" />
             
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <style type="text/css">
      .header { text-align: center }
      .specials { text-align: center; color: red }
      .category { text-indent: 2em; color: blue }
    </style>
  </head>
  
  <body>
    <div class="header">
      <h1>Chuck's Buck Burgers</h1>
      <h2>Menu</h2>
      <hr />
    </div>
    <div class="specials">
      Specials:
      <div>
        <bb:DailySpecial />
      </div>
    </div>
    
    <table>
      <c:forEach var="category" items="burgers,chicken">
        <tr><td class="category" colspan="2">
          <bb:CategoryDescription category="${category}"/>
        </td></tr>
        <c:forEach var="item" items="${applicationScope[category]}">
          <tr><td>${item.name}</td><td>${item.price}</td></tr>
        </c:forEach>
      </c:forEach>
      
      <tr><td class="category" colspan="2">
        Kids Meals (includes small drink and fries)
      </td></tr>      
      <c:forEach var="item" items="${kids}">
        <tr><td>${item.name}</td><td>${item.price}</td></tr>
      </c:forEach>
      
      <c:forEach var="category" items="sides,drinks,desserts">
        <tr><td class="category" colspan="2">
          <bb:CategoryDescription category="${category}" />
        </td></tr>
        <c:forEach var="item" items="${applicationScope[category]}">
          <tr><td>${item.name}</td><td>${item.price}</td></tr>
        </c:forEach>
      </c:forEach>      
    </table>
  </body>
</html>
