// File: Author.java

package library;

public class Author implements java.io.Serializable {
  private int id;
  private String firstName;
  private String middleName;
  private String lastName;

  public Author() {
  }
  public Author(int id, String fn, String mn, String ln) {
    setId(id);
    setFirstName(fn);
    setLastName(ln);
    setMiddleName(mn);
  }
  public int getId() {
    return id;
  }
  public String getFirstName() {
    return firstName;
  }
  public String getLastName() {
    return lastName;
  }
  public String getMiddleName() {
    return middleName;
  }
  public void setId(int i) {
    id = i;
  }
  public void setFirstName(String fn) {
    firstName = fn;
  }
  public void setLastName(String ln) {
    lastName = ln;
  }
  public void setMiddleName(String mn) {
    middleName = mn;
  }
  public String toString() {
    return firstName + " " + middleName + "  " + lastName;
  }
}