<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <title>Calculate Product with JSTL</title>
  </head>
  <body>
    <c:if test="${empty param.numbers}">
      usage: /ProductJSTL.jsp?numbers=2,3,4
    </c:if>
    <c:if test="${!empty param.numbers}">
      <c:set var="product" value="${1.0}" />
      The product of 
      <c:forTokens items="${param.numbers}" delims="," var="num">
        <c:out value="${num}" />,
        <c:set var="product" value="${product * num}" />
      </c:forTokens>
      is <c:out value="${product}" />
    </c:if>
  </body>
</html>
