<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/xml"  prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <title>CartData2.jsp</title>
  </head>
  <body>
    <h2>Cart Data2</h2>

    <c:import url="shoppingcart.xml" var="theFile" />
    <x:parse doc="${theFile}" var="allItems" />
    <x:set var="anItem" select="$allItems/shoppingcart/item[1]" />

    <c:set var="thePrice">
      <x:out select="$anItem/price"/>
    </c:set>

    <table>
      <tr>
        <td>Name:</td>
        <td><x:out select="$anItem/name"/></td>
      </tr>
      <tr>
        <td>Quantity:</td>
        <td><x:out select="$anItem/quantity"/></td>
      </tr>
      <tr>
        <td>Price:</td>
        <td>
          <fmt:formatNumber value="${thePrice}" type="currency"/>
        </td>
      </tr>
    </table>
  <body>
</html>
