<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<jsp:useBean id="articleList" type="java.util.ArrayList<blognews.Article>"
             scope="request" />

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <meta http-equiv="no-cache" />
    <title>Article List</title>
  </head>
  <body>
    <c:if test="${articleList[0] == null}">
      <p>There are currently no news entries.</p>
    </c:if>

    <table style="width: 100%">
    <c:forEach var="article" items="${articleList}">
      <tr>
        <td>${article.title}</td>
        <td align="right">
          <fmt:formatDate value="${article.date}" type="both" />
        </td>
      </tr>
      <tr>
        <td colspan="2" style="border-style: none none groove">
          <!-- the form action is View, because the URL is relative
               to the path with which this page is viewed: 
               /Article/List
          -->
          <form action="View" method="post">
            <div style="font-size:smaller">
                ${fn:substring(article.body,0,79)}
              <input type="hidden" name="title" 
                value="${article.title}"/>
              <input type="submit" value="View"/>
            </div>
          </form>
        </td>
      </tr>
    </c:forEach>
    </table>
  </body>
</html>
