// File: CartBean.java

package com.holidaytruffles;

import java.util.List;
import java.util.ArrayList;

public class CartBean implements java.io.Serializable {
  private double total;
  private List<LineItem> lineItems;

  public CartBean() {
    lineItems = new ArrayList<LineItem>();
    total = 0;
  }

  public boolean getIsEmpty() {
    return(lineItems.size() == 0);
  }

  public double getTotal() {
    return total;
  }

  public void addLineItem(String name, double price, int quantity, double ext) {
    lineItems.add(new LineItem(name, price, quantity, ext));
    total += ext;
  }

  public List<LineItem> getLineItems() {
    return lineItems;
  }
}
