<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <%@ include file="/WEB-INF/jspf/Header.jspf" %>
    <center><h2>Checkout</h2></center>
    <c:choose>
      <c:when test="${cartBean.isEmpty}">
        You do not have any items in your shopping cart.
        <a href="Browse.jsp">Press here to browse the on-line store.</a>
      </c:when>
      <c:otherwise>
        Shopping Cart
        <br>
        <table>
          <tr>
            <th>Item</th>
            <th>Price</th>
            <th>Quantity</th>
            <th>Ext</th>
          </tr>
          <c:forEach var="lineItem" items="${cartBean.lineItems}">
            <tr>
              <td>${lineItem.name}</td>
              <td align="right">
                <fmt:formatNumber value="${lineItem.price}" type="currency" />
              </td>
              <td align="right">${lineItem.quantity}</td>
              <td align="right">
                <fmt:formatNumber value="${lineItem.ext}" type="currency" />
              </td>
            </tr>
          </c:forEach>
        </table>
        Total Order =
        <fmt:formatNumber value="${cartBean.total}" type="currency" />
      </c:otherwise>
    </c:choose>
  </body>
</html>