// File: Item.java

package com.holidaytruffles;

import java.util.Map;
import java.util.HashMap;

public class Item implements java.io.Serializable {
  private String code;
  private int quantity;
  private static Map<String, String> names;

  static {
    names = new HashMap<String, String>();
    names.put("Am", "Amaretto");
    names.put("Ch", "Cherry");
    names.put("GM", "Grand Marnier");
    names.put("IC", "Irish Creme");
    names.put("Pe", "Peppermint");
    names.put("Ra", "Raspberry");
    names.put("Ru", "Rum");
  }

  public Item() {}

  public Item(String c, int q) {
    code = c;
    quantity = q;
  }

  public String getName() { return getName(code); }

  public String getCode() { return code; }

  public void setCode(String c) { code = c; }

  public int getQuantity() { return quantity; }

  public void setQuantity(int q) { quantity = q; }

  public static String getName(String code) {
    return names.get(code);
  }
}
