<%@ tag body-content="scriptless" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="bb" tagdir="/WEB-INF/tags" %>

<%@ attribute name="category" required="true"%>
<%@ attribute name="categoryHeader" fragment="true" %>

<%@ variable name-given="categoryDesc" %>
<%@ variable name-given="item" %>

<c:set var="categoryDesc">
  <bb:CategoryDescription category="${category}"/>
</c:set>
<jsp:invoke fragment="categoryHeader" />

<c:forEach var="item" items="${applicationScope[category]}">
    <jsp:doBody />
</c:forEach>
