<%@ tag body-content="empty" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ attribute name="price" required="true" type="java.lang.Double" 
rtexprvalue="true"%>

<c:choose>
  <c:when test="${price < 1.0}">
    <%= (int)(price.doubleValue() * 100.0) %>&cent;
  </c:when>
  <c:when test="${price == 1.0}">
    1 buck
  </c:when>
  <c:otherwise>
    <fmt:formatNumber type="currency" value="${price}" 
      currencySymbol="$"/>
  </c:otherwise>
</c:choose>
