// CalculatorServlet.java
package calculator;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CalculatorServlet extends HttpServlet {
  @Override
  public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException 
  {
    doPost(request, response);
  }
  @Override
  public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException 
  {
    String op1String = request.getParameter("op1");
    String op2String = request.getParameter("op2");
    String operator = request.getParameter("operator");

    int op1 = Integer.parseInt(op1String);
    int op2 = Integer.parseInt(op2String);

    CalcBean bean = new CalcBean();
    bean.setOperand1(op1);
    bean.setOperand2(op2);

    if (operator.equals("Add"))
    {
      bean.add();  
    }
    else if (operator.equals("Subtract"))
    {
      bean.subtract();  
    }
    else if (operator.equals("Multiply"))
    {
      bean.multiply();  
    }
    else if (operator.equals("Divide"))
    {
      bean.divide();  
    }
    // store bean in the request, so forwarded jsp can get to it
    request.setAttribute("myCalcBean", bean);

    // forward to jsp
    ServletContext context = getServletContext();
    RequestDispatcher rd = context.getRequestDispatcher("/View2.jsp");
    rd.forward(request, response);

  }
}
    
