// File: LibraryDAO.java

package library;

import java.util.Collection;

public interface LibraryDAO {
  public Collection<Book> getBooksByIsbn(String isbn) throws Exception;
  public Collection<Book> getBooksByAuthor(String ln) throws Exception;
  public Collection<Book> getBooksByKeyword(String kw) throws Exception;
  public Collection<Book> getBooksByTitle(String t) throws Exception;
}